package com.zswl.cloud.springBtach.server.core.task;

import com.github.microservice.auth.client.content.ResultContent;
import com.zhongshu.payment.client.model.order.AdminSeachOrderModel;
import com.zhongshu.payment.client.model.order.v2.OrderResult2Model;
import com.zhongshu.payment.client.service.v2.OrderService2;
import com.zhongshu.payment.client.type.JobFlowMap;
import com.zhongshu.payment.client.type.OrderType;
import com.zswl.cloud.springBatch.client.model.qiuxiang.OrderDelitResponse;
import com.zswl.cloud.springBatch.client.service.QiuXiangService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Component;

@Log4j2
@Component
public class TaskLogic {

    @Autowired
    private OrderService2 orderService;
    @Autowired
    private QiuXiangService qiuXiangService;

    public void qiuXiangSync() {
        AdminSeachOrderModel adminSeachOrderModel = new AdminSeachOrderModel();
        adminSeachOrderModel.setOrderType(OrderType.WAIT_USE);
        adminSeachOrderModel.setJobFlowMap(JobFlowMap.QiuXiang);

        ResultContent<Page<OrderResult2Model>> pageResultContent = orderService.adminSearch(adminSeachOrderModel);
        for (OrderResult2Model orderResult2Model : pageResultContent.getContent()) {
            for (OrderResult2Model.GoodsModel goodsModel : orderResult2Model.getGoodsModelList()) {
                ResultContent<OrderDelitResponse> orderId = qiuXiangService.orderDelit(goodsModel.getId());
                log.info(orderId);
            }

        }
    }
}
